
teuthology - Bug #12371

ansible: do not install scsi-target-utils

07/16/2015 05:41 PM - Andrew Schoen

Status: Resolved % Done: 0%

Priority: Normal Spent time: 0.00 hour

Assignee: Andrew Schoen   

Category: ansible   

Target version:    

Source: other Reviewed:  

Tags:  Affected Versions:  

Backport:  ceph-qa-suite:  

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Description

scsi-target-utils depends on librados, but installs it from epel instead of our repository.  This causes an issue with the install task

because it doesn't install librbd1 as it's already been installed from the epel repo.

This causes jobs to fail like this one: 

http://qa-proxy.ceph.com/teuthology/teuthology-2015-07-15_14:25:24-upgrade:firefly-firefly-distro-basic-vps/974959/teuthology.log

We believe the correct solution here is to just not install scsi-target-utils at all. The only suite that uses it is the 'tgt' suite and it doesn't

look to be in use.  If we decide that we want to start using that suite again then the tgt task should handle installing the dependancies

it needs.

Related issues:

http://tracker.ceph.com/issues/11216

http://tracker.ceph.com/issues/11215

History

#1 - 07/16/2015 05:46 PM - Yuri Weinstein

Run: http://pulpito.ceph.com/teuthology-2015-07-15_14:25:24-upgrade:firefly-firefly-distro-basic-vps/

Jobs: ['974874', '974882', '974886', '974891', '974901', '974909', '974910', '974919', '974930', '974938', '974943', '974955', '974959']

#2 - 07/16/2015 08:18 PM - Andrew Schoen

- Status changed from In Progress to Fix Under Review

https://github.com/ceph/ceph-cm-ansible/pull/84

#3 - 07/17/2015 05:11 PM - Andrew Schoen

- Status changed from Fix Under Review to Resolved

https://github.com/ceph/ceph-cm-ansible/commit/3f85473a03233897b6e6acce869483a80c2b037a
